#!/usr/bin/env node
const fs = require('fs-extra');
const argv = require('yargs').argv;
const path = require('path');
const exec = require('child_process').execSync;

const action = argv._[0];

if (action === 'new' || action === 'n') {
  const projectPath = path.join(process.cwd(), argv._[1]);
  const sourceTemplate = path.join(__dirname, '..', 'template');
  fs.copySync(sourceTemplate, projectPath);
  exec(`npm install --prefix ${projectPath}`);
} else if (action === 'generate' || action === 'g') {
  // @TODO Action to be completed
  console.log(argv);
}
